> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thrivory.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain an access token (OAuth 2.0 Client Credentials)



## OpenAPI

````yaml api-reference/openapi.json post /v1/oauth/token
openapi: 3.1.0
info:
  title: Thrivory ThriveNow API
  version: 1.0.0
  description: >-
    Unified API for claim review (predictions), adjudication & funding, claim
    status, webhooks, and reconciliation. Production access requires a BAA with
    Thrivory. All endpoints use HTTPS and JSON.
  contact:
    name: Thrivory Support
    email: support@thrivory.com
  termsOfService: https://thrivory.com/terms
servers:
  - url: https://api.sandbox.thrivory.com
    description: Sandbox
  - url: https://api.thrivory.com
    description: Production
security:
  - oauth2:
      - claims:read
      - claims:write
      - settlements:write
      - metadata:read
      - webhooks:manage
      - imports:write
      - payouts:write
tags:
  - name: Auth
  - name: Metadata
  - name: Claims
  - name: Adjudications & Settlements
  - name: Payout Accounts
  - name: Webhooks
  - name: Imports
  - name: Operations
paths:
  /v1/oauth/token:
    post:
      tags:
        - Auth
      summary: Obtain an access token (OAuth 2.0 Client Credentials)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - client_id
                - client_secret
                - grant_type
              properties:
                client_id:
                  type: string
                client_secret:
                  type: string
                grant_type:
                  type: string
                  const: client_credentials
      responses:
        '200':
          description: Access token
          content:
            application/json:
              schema:
                type: object
                required:
                  - access_token
                  - token_type
                  - expires_in
                properties:
                  access_token:
                    type: string
                  token_type:
                    type: string
                    example: Bearer
                  expires_in:
                    type: integer
                    example: 3600
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  responses:
    BadRequest:
      description: 400 Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: 401 Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: 500 Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error code
        message:
          type: string
        request_id:
          type: string
        details:
          type: object
      required:
        - error
        - message
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.thrivory.com/v1/oauth/token
          scopes:
            claims:read: Read claims
            claims:write: Create and modify claims
            settlements:write: Create/confirm/cancel settlements
            metadata:read: Read reference data (payers, codes)
            webhooks:manage: Manage webhook endpoints
            imports:write: Submit import jobs
            payouts:write: Manage payout accounts

````